Multivariate Pattern Analysis in Python

# mvpa2.misc.surfing.queryengine.SurfaceRingQueryEngine

class `mvpa2.misc.surfing.queryengine.``SurfaceRingQueryEngine`(inner_radius, include_center=False, **kwargs)

  Query-engine that maps center nodes to indices of features (nodes) that are inside a ring around each center node.

  Attributes

  `ids` |

  Methods

  `__call__`(**kwargs) |
  `query`(**kwargs) |
  `query_byid`(vertex_id) | Return feature ids of features near a vertex
  `train`(ds) | Train the queryengine
  `untrain`() |

  Make a new SurfaceRingQueryEngine

  Parameters:

  inner_radius: float

  > size of inner neighborhood to avoid.

  include_center: bool

  > whether to include center node in the neighborhood. If True, first element of the neighborhood will be the center node, or nearest to center node if center node is not in the dataset. Default: False

  surface: surf.Surface

  > surface object

  radius: float

  > size of neighborhood.

  distance_metric: str

  > ‘euclidean’ or ‘dijkstra’ (default).

  fa_node_key: str

  > Key for feature attribute that contains node indices (default: ‘node_indices’).

  Attributes

  `ids` |

  Methods

  `__call__`(**kwargs) |
  `query`(**kwargs) |
  `query_byid`(vertex_id) | Return feature ids of features near a vertex
  `train`(ds) | Train the queryengine
  `untrain`() |

  `ids`
  `query`(**kwargs)
  `query_byid`(vertex_id)

    Return feature ids of features near a vertex

    Parameters:

    vertex_id: int

    > Index of vertex (i.e. node) on the surface

    Returns:

    feature_ids: list of int

    > Indices of features in the neighborhood of the vertex indexed by ‘vertex_id’

  `train`(ds)

    Train the queryengine

    Parameters:

    ds: Dataset

    > dataset with surface data. It should have a field .fa.node_indices that indicates the node index of each feature.

  `untrain`()